stokes_dirichlet_dg.icc File Reference

The Stokes problem with Dirichlet boundary condition by the discontinuous Galerkin method – solver function. More...

Go to the source code of this file.

## Functions

void | stokes_dirichlet_dg (const space &Xh, const space &Qh, form &a, form &b, form &c, form &mp, field &lh, field &kh, integrate_option iopt=integrate_option())

## Detailed Description

The Stokes problem with Dirichlet boundary condition by the discontinuous Galerkin method – solver function.

This file is part of Rheolef.

Copyright (C) 2000-2009 Pierre Saramito Pierr.nosp@m.e.Sa.nosp@m.ramit.nosp@m.o@im.nosp@m.ag.fr

Rheolef is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Rheolef is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Rheolef; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Definition in file stokes_dirichlet_dg.icc.

## Function Documentation

## stokes_dirichlet_dg()

void stokes_dirichlet_dg | ( | const space & | Xh,
|  | const space & | Qh,
|  | form & | a,
|  | form & | b,
|  | form & | c,
|  | form & | mp,
|  | field & | lh,
|  | field & | kh,
|  | integrate_option | iopt = `integrate_option()`
| ) |  |

Examples
  navier_stokes_dg1.icc, navier_stokes_taylor_dg.cc, stokes_dirichlet_dg.icc, and stokes_taylor_dg.cc.

Definition at line 25 of file stokes_dirichlet_dg.icc.